{
  "format_version": "1.8.0",
  "animations": {
    "animation.crl.vindicator.attack": {
      "loop": true,
      "bones": {
        "leftArm": {
          "rotation": [
            "query.is_riding ? 0.0 : ((math.cos(query.life_time * 20.0 * 10.89) * 28.65) + (math.sin(variable.attack_time * 180.0) * 68.76 - (math.sin((1.0 - (1.0 - variable.attack_time) * (1.0 - variable.attack_time)) * 180.0)) * 22.92))",
            0,
            0
          ]
        },
        "rightArm": {
          "rotation": [
            "(-108 + math.cos(query.life_time * 20.0 * 3.84) * 2.87) + (math.sin(variable.attack_time * 180.0) * 126.05 - (math.sin((1.0 - (1.0 - variable.attack_time) * (1.0 - variable.attack_time)) * 180.0)) * 22.92)",
            0,
            0
          ]
        }
      }
    },
    "animation.crl.vindicator.hand_attack": {
      "loop": true,
      "bones": {
        "leftArm": {
          "rotation": [
            "(-108 + math.cos(query.life_time * 20.0 * 3.84) * 2.87) + (math.sin(variable.attack_time * 180.0) * 126.05 - (math.sin((1.0 - (1.0 - variable.attack_time) * (1.0 - variable.attack_time)) * 180.0)) * 22.92)",
            0,
            0
          ]
        },
        "rightArm": {
          "rotation": [
            "(-108 + math.cos(query.life_time * 20.0 * 3.84) * 2.87) + (math.sin(variable.attack_time * 180.0) * 126.05 - (math.sin((1.0 - (1.0 - variable.attack_time) * (1.0 - variable.attack_time)) * 180.0)) * 22.92)",
            0,
            0
          ]
        }
      }
    },
    "animation.crl.vindicator.base": {
      "loop": true,
      "bones": {
        "leftArm": {
          "rotation": [
            "math.cos(query.life_time * 20.0 * 3.84) * 2.87",
            -9,
            "-1 * (math.cos(query.life_time * 20.0 * 5.16) * 2.87 + 2.87)"
          ]
        },
        "rightArm": {
          "rotation": [
            "math.cos(query.life_time * 20.0 * 3.84) * 2.87",
            9,
            "math.cos(query.life_time * 20.0 * 5.16) * 2.87 + 2.87"
          ]
        },
        "rightItem": {
          "scale": "query.is_angry ? 1.0 : 0.0"
        },
        "leftItem": {
          "scale": "query.is_angry ? 1.0 : 0.0"
        }
      }
    },
    "animation.crl.vindicator.riding.arms": {
      "loop": true,
      "bones": {
        "leftArm": {
          "rotation": [-36, 0, 0]
        }
      }
    },
    "animation.crl.vindicator.riding.legs": {
      "loop": true,
      "bones": {
        "rightLeg": {
          "rotation": ["-72.0 - this", "18.0 - this", "-this"]
        },
        "leftLeg": {
          "rotation": ["-72.0 - this", "-18.0 - this", "-this"]
        }
      }
    },
    "animation.crl.vindicator.walk": {
      "loop": true,
      "bones": {
        "rightLeg": {
          "rotation": [
            "(math.cos(query.modified_distance_moved * 38.17) * 80.21) * query.modified_move_speed * 0.5",
            0,
            0
          ]
        },
        "leftLeg": {
          "rotation": [
            "(math.cos(query.modified_distance_moved * 38.17 + 180) * 80.21) * query.modified_move_speed * 0.5",
            0,
            0
          ]
        }
      }
    }
  }
}
